Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp.examples
Class PubringDump

    java.lang.Object
      org.bouncycastle.openpgp.examples.PubringDump

    public class PubringDump

extends java.lang.Object

Basic class which just lists the contents of the public key file passed as an argument. If the file contains more than one "key ring" they are listed in the order found.

Constructor Summary
`PubringDump()`

Method Summary
`static java.lang.String` `getAlgorithm(int algId)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PubringDump

    public PubringDump()

Method Detail

### getAlgorithm

    public static java.lang.String getAlgorithm(int algId)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45